org.apache.thrift

## Interface TProcessor

- All Known Implementing Classes:
    TBaseProcessor

      public interface TProcessor

  A processor is a generic object which operates upon an input stream and writes to some output stream.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `process(TProtocol in, TProtocol out)`

- - ### Method Detail

    - #### process

          boolean process(TProtocol in,
                        TProtocol out)
                          throws TException

      Throws:
        `TException`